### Method

# Qmi IndicationWdsEventReportOutput get_extended_data_bearer_technology

since: 1.18

#### Declaration [src]

    gboolean
    qmi_indication_wds_event_report_output_get_extended_data_bearer_technology (
      QmiIndicationWdsEventReportOutput* self,
      QmiWdsDataSystemNetworkType* value_extended_data_bearer_technology_data_bearer_technology,
      QmiWdsRadioAccessTechnology* value_extended_data_bearer_technology_radio_access_technology,
      QmiWdsExtendedDataBearerTechnology3gpp* value_extended_data_bearer_technology_extended_data_bearer_technology_3gpp,
      QmiWdsExtendedDataBearerTechnology3gpp2* value_extended_data_bearer_technology_extended_data_bearer_technology_3gpp2,
      GError** error
    )

#### Description [src]

Get the ‘Extended Data Bearer Technology’ field from `self`.

Available since: 1.18

#### Parameters

`value_extended_data_bearer_technology_data_bearer_technology`

  Type: `QmiWdsDataSystemNetworkType`

  A placeholder for the output `QmiWdsDataSystemNetworkType`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_extended_data_bearer_technology_radio_access_technology`

  Type: `QmiWdsRadioAccessTechnology`

  A placeholder for the output `QmiWdsRadioAccessTechnology`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_extended_data_bearer_technology_extended_data_bearer_technology_3gpp`

  Type: `QmiWdsExtendedDataBearerTechnology3gpp`

  A placeholder for the output `QmiWdsExtendedDataBearerTechnology3gpp`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_extended_data_bearer_technology_extended_data_bearer_technology_3gpp2`

  Type: `QmiWdsExtendedDataBearerTechnology3gpp2`

  A placeholder for the output `QmiWdsExtendedDataBearerTechnology3gpp2`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.